# StrokeJoin enum

Styles to use for line segment joins.

This only affects line joins for polygons drawn by Canvas.drawPath and rectangles, not points drawn as lines with Canvas.drawPoints.

See also:

- Paint.strokeJoin and Paint.strokeMiterLimit for how this value is used.
- StrokeCap for the different kinds of line endings.

## Constants

bevel → const StrokeJoin

  Joins between line segments connect the corners of the butt ends of the line segments to give a beveled appearance.

  The center of the line segment is colored in the diagram above to highlight the join, but in normal usage the join is the same color as the line.

  See also:

  - Paint.strokeJoin, used to set the line segment join style to this value.
  `const StrokeJoin(2)`
miter → const StrokeJoin

  Joins between line segments form sharp corners.

  The center of the line segment is colored in the diagram above to highlight the join, but in normal usage the join is the same color as the line.

  See also:

  - Paint.strokeJoin, used to set the line segment join style to this value.
  - Paint.strokeMiterLimit, used to define when a miter is drawn instead of a bevel when the join is set to this value.
  `const StrokeJoin(0)`
round → const StrokeJoin

  Joins between line segments are semi-circular.

  The center of the line segment is colored in the diagram above to highlight the join, but in normal usage the join is the same color as the line.

  See also:

  - Paint.strokeJoin, used to set the line segment join style to this value.
  `const StrokeJoin(1)`
values → const List<StrokeJoin>

  A constant List of the values in this enum, in order of their declaration.

  `const List<StrokeJoin>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited